Name:		spacefm
Version:	0.8.7
Release:	3%{?dist}
Summary:	Multi-panel tabbed file and desktop manager

License:	GPLv3+
URL:		http://ignorantguru.github.io/spacefm/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gtk3-devel
BuildRequires:	intltool
BuildRequires:	startup-notification-devel
%if 0%{?fedora} <= 17
BuildRequires:	libudev-devel
%else
BuildRequires:	systemd-devel
%endif

%description
SpaceFM is a multi-panel tabbed file manager with built-in VFS, udev-based
device manager, customizable menu system, and bash integration.

%package	Faenza
Summary:	Faenza theme files for spacefm
Requires:	%{name} = %{version}-%{release}
Requires:	faenza-icon-theme
BuildArch:	noarch

%description	Faenza
This package contains Faenza theme files for spacefm.

%prep
%setup -q
find . -name \*.c -print0 | xargs --null chmod 0644

%build
%configure \
	--with-gtk3
make %{?_smp_mflags}

%install
%make_install \
	INSTALL="install -p"

for f in %{buildroot}%{_datadir}/applications/*desktop
do
	desktop-file-validate $f
done

# Create skeleton configuration file and directory (ref: src/settings.c)
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
touch %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf

%find_lang %{name}

%post
update-desktop-database &>/dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &>/dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%post	Faenza
touch --no-create %{_datadir}/icons/Faenza &>/dev/null || :

%postun	Faenza
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/Faenza &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/Faenza &>/dev/null || :
fi

%posttrans	Faenza
gtk-update-icon-cache %{_datadir}/icons/Faenza &>/dev/null || :


%files	-f %{name}.lang
%doc	AUTHORS
%doc	COPYING*
%doc	ChangeLog
%doc	README

%dir	%{_sysconfdir}/%{name}
%config(noreplace)	%{_sysconfdir}/%{name}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-auth
%{_datadir}/applications/%{name}*desktop
# ref: src/settings.c
# Use the below directory as it is
%dir	%{_docdir}/%{name}
%{_docdir}/%{name}/%{name}-manual-en.html
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_datadir}/mime/packages/%{name}-mime.xml
%dir	%{_datadir}/%{name}
%{_datadir}/%{name}/ui/

%files	Faenza
%{_datadir}/icons/Faenza/apps/*/%{name}*

%changelog
* Thu Apr 25 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.8.7-3
- Fix BR for F-17

* Tue Apr 23 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.8.7-2
- Make -Faenza subpackage depend on faenza-icon-theme
- Create skeleton configuration file and directory

* Mon Apr 22 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.8.7-1
- Written from scratch
